services:
  football-competitiveness:
    image: gitea.umbra.mom/jay/football-competitiveness:latest
    restart: unless-stopped
    expose:
      - "3838"
    labels:
      # Enable Traefik
      - traefik.enable=true

      # Public router
      - traefik.http.routers.football-competitiveness.rule=Host(`football-competitiveness.umbra.mom`)
      - traefik.http.routers.football-competitiveness.entrypoints=https
      - traefik.http.routers.football-competitiveness.tls=true
      - traefik.http.routers.football-competitiveness.service=football-competitiveness
      - traefik.http.services.football-competitiveness.loadbalancer.server.port=3838
      - traefik.http.services.football-competitiveness.loadbalancer.server.scheme=http
